Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003759TestLinkTest Plan (builds, milestones, test assign)public2010-09-08 08:472010-11-14 12:07
Reporteredv_harry 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 6 
Fixed in Version1.9 (Prague) 
Summary0003759: Add testcase and Keywords filter problem
DescriptionThe filter not work to add cases to the plan
Steps To Reproduce

  1. create 3 testcases with keyword check1 in the test suite 'integration'
  2. create 2 testcases with keyword test1 in the test suite 'integration'
  3. create test plan
  4. assign testcase to the plan, but the filter donĀ“t show keywords -> KO

  5. add one case with the keyword check1 and then set the keywords filter to check1
  6. in the test suite 'integration'(tree) they find 3 cases = this is fine
  7. but they show 5 cases who can selected.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon testlink-filter.jpg [^] (102,784 bytes) 2010-09-08 08:47

- Relationships

-  Notes
(0011307)
Julian (reporter)
2010-09-09 14:38

currently only implemented for execution tree and test execution assignment tree.
(0011454)
edv_harry (reporter)
2010-09-22 08:26

Hello,


is this in plan to implemented for the cases ?


best regards

Sven
(0012292)
fman (administrator)
2010-11-06 14:58

Keywords filters has to work this way

display all keywords defined in Test project

  1. test case specification
  2. add test case to test plan/platform



display ONLY SET OF KEYWORDS generated analising test cases present on test plan/platform


  1. assign tester to test case for test plan / platform / build:
  2. test case execution
(0012294)
fman (administrator)
2010-11-06 15:06

after filter become visible, now works ok
(0012476)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-09-08 08:47 edv_harry New Issue
2010-09-08 08:47 edv_harry File Added: testlink-filter.jpg
2010-09-09 14:38 Julian Note Added: 0011307
2010-09-22 08:26 edv_harry Note Added: 0011454
2010-11-06 14:47 fman Assigned To => fman
2010-11-06 14:47 fman Status new => assigned
2010-11-06 14:58 fman Note Added: 0012292
2010-11-06 15:00 fman Summary Add testcase and filter problem => Add testcase and Keywords filter problem
2010-11-06 15:00 fman Steps to Reproduce Updated View Revisions
2010-11-06 15:01 fman Steps to Reproduce Updated View Revisions
2010-11-06 15:04 fman Issue cloned: 0003984
2010-11-06 15:06 fman Note Added: 0012294
2010-11-06 15:06 fman Status assigned => resolved
2010-11-06 15:06 fman Fixed in Version => 1.9 (Prague)
2010-11-06 15:06 fman Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012476
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker